Skip to main content
POST
/
coa
/
api
/
intercompany-journal-entry
/
balance
Balance Intercompany Journal Entry
curl --request POST \
  --url https://api.meetcampfire.com/coa/api/intercompany-journal-entry/balance \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transactions": [
    {
      "entity": 54,
      "entity_name": "Top Level",
      "entity_currency": "USD",
      "currency": "EUR",
      "debit_amount_native": 1000,
      "tags": []
    },
    {
      "entity": 54,
      "entity_name": "Top Level",
      "entity_currency": "USD",
      "currency": "EUR",
      "credit_amount_native": 999.5,
      "tags": []
    }
  ],
  "exchange_rates": [
    {
      "entity": 54,
      "entity_name": "Top Level",
      "originating_currency": "EUR",
      "target_currency": "USD",
      "exchange_rate": 1.1
    },
    {
      "entity": 54,
      "entity_name": "Top Level",
      "originating_currency": "USD",
      "target_currency": "USD",
      "exchange_rate": 1
    }
  ]
}
'

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Body

application/json
transactions
object[]
required

List of transaction objects

date
string<date>

Journal entry date (ISO format: YYYY-MM-DD). Used for auto-fetching exchange rates if exchange_rates is empty.

exchange_rates
object[]

List of exchange rate objects (optional - will be auto-fetched if empty and date is provided)

Response

200

No response body